<template>
  <div>
    <!-- 添加或修改问卷题目对话框 -->
    <el-form ref="form" :model="form" size="small" :rules="rules" label-width="120px">
      <el-row>
        <el-col :span="6"><el-form-item label=" 主题编号 " prop="topiccode">
            <el-input v-model="form.topiccode" placeholder="请输入 主题编号 " />
          </el-form-item></el-col>
        <el-col :span="6"><el-form-item label=" 排序编号 " prop="sort">
            <el-input v-model="form.sort" placeholder="请输入 排序编号 " />
          </el-form-item></el-col>
        <el-col :span="6"><el-form-item label=" 是否必填 " prop="ismandatory">
            <el-select v-model="form.ismandatory" placeholder="请选择 是否必填 ">
              <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
                :value="parseInt(dict.value)"></el-option>
            </el-select>
          </el-form-item></el-col>
        <el-col :span="6"><el-form-item label=" 是否隐藏 " prop="ishide">
            <el-select v-model="form.ishide" placeholder="请选择 是否隐藏 ">
              <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
                :value="parseInt(dict.value)"></el-option>
            </el-select>
          </el-form-item></el-col>
      </el-row>
      <el-row>
        <el-col :span="12"><el-form-item label=" 主题内容 " prop="topic">
            <el-input v-model="form.topic" placeholder="请输入主题内容" />
          </el-form-item></el-col>
        <el-col :span="12"><el-form-item label=" 所属院区 " prop="orgid">
            <el-input v-model="form.orgid" placeholder="请输入 所属院区 " />
          </el-form-item></el-col>
      </el-row>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button type="primary" @click="submitForm">保 存</el-button>
    </div>
  </div>
</template>
<script>
import { listSvytopic, getSvytopic, delSvytopic, addSvytopic, updateSvytopic } from "@/api/smartor/svytopic";

export default {
  name: "SvytopicBase",
  dicts: ['sys_yes_no'],
  data() {
    return {
      total: 0,
      // 弹出层标题
      title: "",
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        delFlag: [
          { required: true, message: " 删除标记 不能为空", trigger: "change" }
        ],
        isupload: [
          { required: true, message: " 上传标记 不能为空", trigger: "change" }
        ],
      }
    };
  },
  created() {
  },
  methods: {
    // 表单重置
    reset() {
      this.form = {
        topicid: null,
        oldid: null,
        svyid: null,
        topictype: null,
        topiccode: null,
        topic: null,
        sort: null,
        ismandatory: null,
        ishide: null,
        delFlag: null,
        orgid: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        isupload: null,
        uploadTime: null
      };
      this.resetForm("form");
    },
    /** 修改按钮操作 */
    Retrieve(topicid) {
      this.reset();
      getSvytopic(topicid).then(response => {
        this.form = response.data;
        this.title = "修改问卷题目";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.topicid != null) {
            updateSvytopic(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addSvytopic(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
  }
};
</script>
